Subject: Re: bug#73501: 30.0.91; zoom smaller/larger svg image file unresponsive

From: Manuel Giraud <[email-masked]>
Date: Fri, 27 Sep 2024 15:06:34 +0200

Eli Zaretskii <[email-masked]> writes:

[...]

>> # Contents of *Messages*
>> 
>> 1 For information about GNU Emacs and the GNU system, type C-h C-a.
>> 2 Type C-c C-c to view the image as text
>> 3 Use +, =, -, 0, C-+, C-=, C--, C-0 for further adjustment [5 times]
>> 
>> The above 5 attempts to enlarge at fullscreen does nothing.
>
> Then I have no idea what happens in your case.  Maybe it's your
> version of librsvg, or maybe it's something else.
>
> Can anyone reproduce this issue and debug it?

I can reproduce it.  But I don't know if it is expected to work: "C-x
C-+" is `text-scale-adjust' and works with text buffers adjusting the
font size.

For an image buffer, I think one should use `image-increase-size' and
the like which are bound in a keymap starting with 'i'.

Maybe "C-x C-+" should be bound differently in an image buffer?
-- 
Manuel Giraud